var socket = io.connect();
			
socket.on('connect', function() {
  console.log("Connected " + socket.id);
});

var users = [];

socket.on('direction', function(data) {
  var found = false;
  for (var i = 0; i < users.length; i++) {
    if (users[i].id == data.id) {
      users[i] = data;
      found = true;
      break;
    }
  }

  if (!found) {
    users.push(data);
  }
});

socket.on('mouse', function(mouseData) {
  px = x;
  py = y;
  x = mouseData.x;
  y = mouseData.y;
});

socket.on('blink', function(whatever) {
  background(0);
  setTimeout(function() {
    background(255);
  }, 50);
});

let x = 0;
let y = 0;
let px = 0;
let py = 0;

function setup() {
  createCanvas(windowWidth, windowHeight);
}

function draw() {
  background(220);
  //ellipse(x, y, 20, 20);
  //strokeWeight(20);
  //line(px, py, x, y);

  for (var i = 0; i < users.length; i++ ) {
    ellipse(users[i].alpha, users[i].beta, users[i].gamma, users[i].gamma);
  }

}

function mouseMoved() {
  console.log(mouseX,mouseY);
  px = x;
  py = y;
  x = mouseX;
  y = mouseY;
  let dataToSend = {x: x, y: y};
  // let dataToSend = new Object();
  // dataToSend.x = x;
  // dataToSend.y = y;
  socket.emit('mouse', dataToSend);
}

function mousePressed() {
  socket.emit('blink', {});
}